Subject: Re: [EXTERNAL] Re: [PATCH v10 2/2] net: ti: icssg-prueth: Add ICSSG ethernet driver

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Jul 2023 08:17:41 -0700

On Thu, 20 Jul 2023 17:12:50 +0530 Md Danish Anwar wrote:
> Patch 1: Introduce Firmware mapping for the driver (icss_switch_map.h)
> 
> Patch 2: Introduce mii helper APIs. (icssg_mii_rt.h and icssg_mii_cfg.h). This
> patch will also introduce basic prueth and emac structures in icssg_prueth.h as
> these structures will be used by the helper APIs.
> 
> Patch 3: Introduce firmware configuration and classification APIs.
> (icssg_classifier.c, icssg_config.h and icssg_config.c)
> 
> Patch 4: Introduce APIs for ICSSG Queues (icssg_queues.c)
> 
> Patch 5: Introduce ICSSG Ethernet driver. (icssg_prueth.c and icssg_prueth.h)
> This patch will enable the driver and basic functionality can work after this
> patch. This patch will be using all the APIs introduced earlier. This patch
> will also include Kconfig and Makefile changes.
> 
> Patch 6: Enable standard statistics via ndo_get_stats64
> 
> Patch 7: Introduce ethtool ops for ICSSG
> 
> Patch 8: Introduce power management support (suspend / resume APIs)
> 
> However this structure of patches will introduce some APIs earlier (in patch
> 2,3 and 4) which will be used later by patch 5. I hope it will be OK to
> introduce APIs and macros earlier and use them later.
> 
> This restructuring will shorten all the individual patches. However patch 5
> will still be a bit large as patch 5 introduces all the neccessary APIs as
> driver probe / remove, ndo open / close, tx/rx etc.
> 
> Currnetly this single patch has close to 4000 insertion and is touching 12
> files. After restructring patch 5 will have around 1800 insertions and will
> touch only 4 files (icssg_prueth.c, icssg_prueth.h, Kconfig, Makefile). This is
> still significant improvement.
> 
> Please let me know if this is OK.

SGTM, thanks! One patch still being larger than others is a bit
inevitable.

> Also this patch has Reviewed-By tag of Andrew. Can I carry forward his
> Reviewed-By tag in all patches or do I need to drop it?

If the code is identical I reckon you can carry it.